Subject: Re: [PATCH] cvs-migration document: make the need for "push" more obvious

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 6 Dec 2006 09:58:02 -0500

On Wed, Dec 06, 2006 at 03:52:26PM +0100, Han-Wen Nienhuys wrote:
> Johannes Schindelin escreveu:
> > It really is an important concept to grasp for people coming
> > from CVS. Even if it is briefly mentioned, it is not obvious
> > enough to sink in.
> 
> I think the goal is laudable, but IMO it would be better to shorten
> the document rather adding more text.

OK, but...

>  Documentation/cvs-migration.txt |   34 +++++++++++++++++++++++-----------
>  1 files changed, 23 insertions(+), 11 deletions(-)

... that lengthens it even more than the proposed addition.

> +    Hence, there is a difference between creating a revision
> +    (the "commit" command) and submitting it (the "push" command).

I'd rather leave that introduction as it is--just as a section that
advertises the git features without trying to explain much.  And I'd
rather not mention push until we have a chance to explain how to use it.